com.tibbo.aggregate.common.server

## Enum WorkflowContextConstants.ELEMENTS

- java.lang.Object
- - java.lang.Enum<WorkflowContextConstants.ELEMENTS>
  - - com.tibbo.aggregate.common.server.WorkflowContextConstants.ELEMENTS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WorkflowContextConstants.ELEMENTS>
  Enclosing class:
    WorkflowContextConstants

      public static enum WorkflowContextConstants.ELEMENTS
      extends java.lang.Enum<WorkflowContextConstants.ELEMENTS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WORKFLOW_ACTION`
    `WORKFLOW_CATCH`
    `WORKFLOW_CONNECTOR`
    `WORKFLOW_EVENT`
    `WORKFLOW_EXIT`
    `WORKFLOW_EXPRESSION`
    `WORKFLOW_FORK`
    `WORKFLOW_FUNCTION`
    `WORKFLOW_IF`
    `WORKFLOW_ROOT_PANEL`
    `WORKFLOW_SCRIPT`
    `WORKFLOW_STARTUP`
    `WORKFLOW_SWITCH`
    `WORKFLOW_TIMER`
    `WORKFLOW_UI_PROCEDURE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WorkflowContextConstants.ELEMENTS` | `getElementById(java.lang.String type)`
    `java.lang.String` | `getId()`
    `boolean` | `isAdditionalElement()`
    `static WorkflowContextConstants.ELEMENTS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WorkflowContextConstants.ELEMENTS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKFLOW_TIMER

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_TIMER

    - #### WORKFLOW_EVENT

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_EVENT

    - #### WORKFLOW_STARTUP

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_STARTUP

    - #### WORKFLOW_FUNCTION

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_FUNCTION

    - #### WORKFLOW_ACTION

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_ACTION

    - #### WORKFLOW_EXPRESSION

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_EXPRESSION

    - #### WORKFLOW_IF

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_IF

    - #### WORKFLOW_FORK

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_FORK

    - #### WORKFLOW_UI_PROCEDURE

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_UI_PROCEDURE

    - #### WORKFLOW_CATCH

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_CATCH

    - #### WORKFLOW_EXIT

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_EXIT

    - #### WORKFLOW_SWITCH

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_SWITCH

    - #### WORKFLOW_SCRIPT

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_SCRIPT

    - #### WORKFLOW_CONNECTOR

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_CONNECTOR

    - #### WORKFLOW_ROOT_PANEL

          public static final WorkflowContextConstants.ELEMENTS WORKFLOW_ROOT_PANEL

  - ### Method Detail

    - #### values

          public static WorkflowContextConstants.ELEMENTS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorkflowContextConstants.ELEMENTS c : WorkflowContextConstants.ELEMENTS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorkflowContextConstants.ELEMENTS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getElementById

          public static WorkflowContextConstants.ELEMENTS getElementById(java.lang.String type)

    - #### getId

          public java.lang.String getId()

    - #### isAdditionalElement

          public boolean isAdditionalElement()